summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2018-05-08 11:49:14 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2018-05-08 11:55:31 -0500
commit060f1563d4c8e44e9ded12acbe01689152dc5d28 (patch)
treeb179ae1efdd76be8d44c187ab38f23bf6442a82b /dev-python
parentdev-python/oslo-concurrency: 3.25.1 bup (diff)
downloadgentoo-060f1563d4c8e44e9ded12acbe01689152dc5d28.tar.gz
gentoo-060f1563d4c8e44e9ded12acbe01689152dc5d28.tar.bz2
gentoo-060f1563d4c8e44e9ded12acbe01689152dc5d28.zip
dev-python/tooz: 1.60.1 bup
Package-Manager: Portage-2.3.27, Repoman-2.3.9
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/tooz/Manifest1
-rw-r--r--dev-python/tooz/tooz-1.60.1.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-python/tooz/Manifest b/dev-python/tooz/Manifest
index 71677dbd3d7..a80a04e5a1c 100644
--- a/dev-python/tooz/Manifest
+++ b/dev-python/tooz/Manifest
@@ -1,2 +1,3 @@
DIST tooz-1.58.0.tar.gz 81688 BLAKE2B 06e282850c549261a312d5381ac9004d13c96a90b10b3f682f2edbe3df5a1b4516a2e618d40d4625242fc18408bb38de56d1c9a58a998b843dd5c98f3d89917c SHA512 44886aed3b37e2a9cb2896fa30e22c7101f19fa766c75a2d7c82c9bcd13b47804ba6d140fe65d2b7c7f3ce3e12bf2f19fa1e92a8e147103204a608aba28f5ccd
DIST tooz-1.60.0.tar.gz 85364 BLAKE2B 7c1f8cca02830accd5c72d09333f027a02d79944402affc80bb645c11a5a6ecbf94dc8acb62a1d1e98773458763a289134fe8603291e32b25dac507c68571a7d SHA512 610b7d30ce68954a687237c02d5529e93c1babe79bcf16de3674ae3c1d395202738a01dea91f8ffcb184717d884f777300152f54e6f971a4a42fc8bd500ad982
+DIST tooz-1.60.1.tar.gz 85330 BLAKE2B 0b75ebc5dcc3c9873fc41ce92e61be0591955b4bbbc4c7f16b87bcd27c24c8f83bd079fd9c24164563908fbb488ec4a259d65ee583146324b67acf048504817e SHA512 5dafaea570cc104b0e82eff3ec54d0969bf84c5d84e20c69957c55b2cd9e80bee2925e2ace6977fd499044df0bae02a18c17dcba9592ee3c4ccdb6b2b1dfae38
diff --git a/dev-python/tooz/tooz-1.60.1.ebuild b/dev-python/tooz/tooz-1.60.1.ebuild
new file mode 100644
index 00000000000..1d97d2da641
--- /dev/null
+++ b/dev-python/tooz/tooz-1.60.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Library centralizing the most common distributed primitives"
+HOMEPAGE="http://docs.openstack.org/developer/tooz/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE=""
+
+CDEPEND=">=dev-python/pbr-1.8[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}"
+RDEPEND="${CDEPEND}
+ >=dev-python/stevedore-1.17.1[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ virtual/python-enum34[${PYTHON_USEDEP}]
+ >=dev-python/voluptuous-0.8.9[${PYTHON_USEDEP}]
+ >=dev-python/msgpack-0.4.0[${PYTHON_USEDEP}]
+ >=dev-python/fasteners-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/tenacity-3.2.1[${PYTHON_USEDEP}]
+ virtual/python-futures[${PYTHON_USEDEP}]
+ >=dev-python/futurist-0.11.0[${PYTHON_USEDEP}]
+ !~dev-python/futurist-0.15.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.18.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-serialization-1.10.0[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ # allow useage of renamed msgpack
+ sed -i '/^msgpack/d' requirements.txt || die
+ distutils-r1_python_prepare_all
+}